mia-3dimagecombine
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dimagecombine

#### Sysnopis:

`mia-3dimagecombine` {-1 `io`} {-2 `io`} {-c `factory`} {-o `io`} [ `options` ...]

#### Description:

This program is used to combine two images using a given image combiner.

#### Options:

-1, --image1=(input, required); io

  input image 1 to be combined. For supported file types see Plugin type: 3dimage/io

-2, --image2=(input, required); io

  input image 2 to be combined. For supported file types see Plugin type: 3dimage/io

-c, --combiner=(required); factory

  combiner operation. For supported plug-ins see Plugin type: 3dimage/combiner

-o, --out-file=(output, required); io

  output image file. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Take two images l1.v and l2.v and evaluate the per-voxel sum.

    mia-3dimagecombine -1 l1.v -2 l2.v -c sum.v -c add

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dgetsize | Home | mia-3dimagecreator